# $Id$
# Authority: dag
# Upstream: <capps$iozone,org>
# Upstream: William Norcott <William,Norcott$oracle,com>

Summary: IOzone Filesystem Benchmark
Name: iozone
%define real_version 3_424
Version: 3.424
Release: 2%{?dist}
License: Freeware
Group: Applications/System
URL: http://www.iozone.org/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.iozone.org/src/current/iozone%{real_version}.tar
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
IOzone is a filesystem benchmark tool. The benchmark generates and
measures a variety of file operations. Iozone has been ported to
many machines and runs under many operating systems.

Iozone is useful for performing a broad filesystem analysis of a vendors
computer platform. The benchmark tests file I/O performance for the following
operations: Read, write, re-read, re-write, read backwards, read strided,
fread, fwrite, random read, pread ,mmap, aio_read, aio_write.

%prep
%setup -n %{name}%{real_version}

%build
%ifarch %{ix86}
%{__make} %{?_smp_mflags} -C src/current linux
%endif
%ifarch x86_64
%{__make} %{?_smp_mflags} -C src/current linux-AMD64
%endif
%ifarch ia64
%{__make} %{?_smp_mflags} -C src/current linux-ia64
%endif
%ifarch %{arm}
%{__make} %{?_smp_mflags} -C src/current linux-arm
%endif
%ifarch ppc
%{__make} %{?_smp_mflags} -C src/current linux-powerpc
%endif
%ifarch ppc64
%{__make} %{?_smp_mflags} -C src/current linux-powerpc64
%endif
%ifarch s390
%{__make} %{?_smp_mflags} -C src/current linux-s390
%endif
%ifarch s390x
%{__make} %{?_smp_mflags} -C src/current linux-s390X
%endif

%install
%{__rm} -rf %{buildroot}
%{__install} -Dp -m0755 src/current/fileop %{buildroot}%{_bindir}/fileop
%{__install} -Dp -m0755 src/current/Generate_Graphs %{buildroot}%{_bindir}/Generate_Graphs
%{__install} -Dp -m0755 src/current/gengnuplot.sh %{buildroot}%{_bindir}/gengnuplot.sh
%{__install} -Dp -m0755 src/current/gnu3d.dem %{buildroot}%{_bindir}/gnu3d.dem
%{__install} -Dp -m0755 src/current/iozone %{buildroot}%{_bindir}/iozone
%{__install} -Dp -m0755 src/current/pit_server %{buildroot}%{_bindir}/pit_server

%{__install} -Dp -m0644 docs/iozone.1 %{buildroot}%{_mandir}/man1/iozone.1

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc src/current/Changes.txt src/current/Gnuplot.txt docs/*
%doc %{_mandir}/man1/iozone.1*
%{_bindir}/fileop
%{_bindir}/Generate_Graphs
%{_bindir}/gengnuplot.sh
%{_bindir}/gnu3d.dem
%{_bindir}/iozone
%{_bindir}/pit_server

%changelog
* Mon Jun 23 2014 Dag Wieers <dag@wieers.com> - 3.424-2
- Reorganize includes file to closer mimic official package. (Alain Rykaert)

* Thu Jun 12 2014 Dag Wieers <dag@wieers.com> - 3.424-1
- Updated to release 3.424.

* Fri Feb 01 2013 Denis Fateyev <denis@fateyev.com> - 3.414-1
- Updated to release 3.414

* Sat Sep 29 2012 Denis Fateyev <denis@fateyev.com> - 3.408-1
- Updated to release 3.408

* Wed Apr 27 2011 Dag Wieers <dag@wieers.com> - 3.394-1
- Updated to release 3.394.

* Thu Nov 19 2009 Dag Wieers <dag@wieers.com> - 3.327-1
- Updated to release 3.327.

* Sat Jul 04 2009 Dag Wieers <dag@wieers.com> - 3.326-1
- Updated to release 3.326.

* Mon Dec 01 2008 Dag Wieers <dag@wieers.com> - 3.315-1
- Updated to release 3.315.

* Sat Sep 20 2008 Dag Wieers <dag@wieers.com> - 3.311-1
- Updated to release 3.311.

* Wed May 14 2008 Dag Wieers <dag@wieers.com> - 3.300-1
- Updated to release 3.300.

* Sun Apr 27 2008 Dag Wieers <dag@wieers.com> - 3.291-1
- Updated to release 3.291.

* Mon Feb 25 2008 Dag Wieers <dag@wieers.com> - 3.287-1
- Updated to release 3.287.

* Sat Nov 24 2007 Dag Wieers <dag@wieers.com> - 3.283-1
- Updated to release 3.283.

* Fri Nov 24 2006 Dag Wieers <dag@wieers.com> - 3.279-1
- Updated to release 3.279.

* Sun Nov 12 2006 Dries Verachtert <dries@ulyssis.org> - 3.271-1
- Updated to release 3.271.

* Sun Oct 29 2006 Dag Wieers <dag@wieers.com> - 3.267-1
- Updated to release 3.267.

* Sat Apr 15 2006 Dag Wieers <dag@wieers.com> - 3.263-1
- Updated to release 3.263.

* Tue Nov 15 2005 Dries Verachtert <dries@ulyssis.org> - 3.257-1
- Updated to release 3.257.

* Fri Nov 04 2005 Dries Verachtert <dries@ulyssis.org> - 3.254-1
- Updated to release 3.254.

* Mon Sep 05 2005 Dag Wieers <dag@wieers.com> - 3.248-1
- Updated to release 3.248.

* Wed Jul 13 2005 Dag Wieers <dag@wieers.com> - 3.242-1
- Updated to release 3.242.

* Tue May 10 2005 Dag Wieers <dag@wieers.com> - 3.239-1
- Updated to release 3.239.

* Thu Mar 24 2005 Dag Wieers <dag@wieers.com> - 3.235-1
- Updated to release 3.235.

* Mon Feb 21 2005 Dag Wieers <dag@wieers.com> - 3.233-1
- Updated to release 3.233.

* Wed Jan 19 2005 Dag Wieers <dag@wieers.com> - 3.228-1
- Updated to release 3.228.

* Mon Nov 01 2004 Dag Wieers <dag@wieers.com> - 3.226-1
- Updated to release 3.226.

* Tue Jul 20 2004 Dag Wieers <dag@wieers.com> - 3.221-1
- Updated to release 3.221.

* Sat Jun 19 2004 Dag Wieers <dag@wieers.com> - 3.218-1
- Initial package. (using DAR)
